#include <iostream>
#include <iomanip>

//  Calcul de z(x) = 1/((1/x)^(1/x)) 
//  avec : x > 0
double z(double x) {
    if(!(x > 0.0)) return 0.0;
    return 1.0/pow((1.0/x),(1.0/x));
}

int main(int argc, char ** argv) {
    while(true) {
        double x;
        std::cout << std::endl << "Entrez x : ";
        std::cin >> x;
        if(x <= 0.0) break;
        double v = z(x);
        std::cout << "x = " << std::setprecision(15) << x << "   z = " << v << "   z^x = " << pow(v,x) << std::endl;
    }
    return 0;
}